commit:     50482f3ff2816cbe2b622d56753fd031a78bfd37
Author:     Jonathan Scruggs <j.scruggs <AT> gmail <DOT> com>
AuthorDate: Thu Sep 21 09:21:57 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Sep 23 08:37:13 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50482f3f

media-libs/partio: New package

C++ (with python bindings) library for easily reading/writing/manipulating
common animation particle formats such as PDB, BGEO, PTC.

This is a new dependency for media-libs/osl.

Closes: https://github.com/gentoo/gentoo/pull/5752

 media-libs/partio/Manifest                      |  1 +
 media-libs/partio/metadata.xml                  | 22 ++++++++++++
 media-libs/partio/partio-1.1.0_p20170829.ebuild | 45 +++++++++++++++++++++++++
 3 files changed, 68 insertions(+)

diff --git a/media-libs/partio/Manifest b/media-libs/partio/Manifest
new file mode 100644
index 00000000000..2eb456d122a
--- /dev/null
+++ b/media-libs/partio/Manifest
@@ -0,0 +1 @@
+DIST partio-1.1.0_p20170829.tar.gz 275959 SHA256 
b3d426c4869d3dddd6a43c9b0f4a7d4ea79abedfbe223a8c1f1122cbfbbdbdae SHA512 
daedb23ae2b89d3f2ef36ef13afc624a663b3fab91c22f9a454439ff3bc194b78a87e37c9133f6948567ab3b183eff960bb51951b0427cff8c1c29099b6578d6
 WHIRLPOOL 
b6a55111025615901d12b49753b84ada896ea7835f3adaaa3ba83873b2d0a681479bde6d321a7ea0fad60a0e6d7f6c55795b9d5a1352ffe91edea5c5e92e51a4

diff --git a/media-libs/partio/metadata.xml b/media-libs/partio/metadata.xml
new file mode 100644
index 00000000000..a8653bfa5b1
--- /dev/null
+++ b/media-libs/partio/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Jonathan Scruggs</name>
+       </maintainer>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Adrian Grigo</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <longdescription>
+               A library for particle IO and manipulation
+       </longdescription>
+       <upstream>
+               <remote-id type="github">wdas/partio</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/media-libs/partio/partio-1.1.0_p20170829.ebuild 
b/media-libs/partio/partio-1.1.0_p20170829.ebuild
new file mode 100644
index 00000000000..f5e7281f95e
--- /dev/null
+++ b/media-libs/partio/partio-1.1.0_p20170829.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit cmake-utils vcs-snapshot python-single-r1
+
+DESCRIPTION="A library for particle IO and manipulation"
+HOMEPAGE="http://www.disneyanimation.com/technology/partio.html";
+
+MY_GIT_COMMIT="2774ef3958da46d9f8a4230ebda9e04b1aa8f4e5"
+SRC_URI="https://github.com/wdas/${PN}/archive/${MY_GIT_COMMIT}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       media-libs/freeglut
+       virtual/opengl
+       sys-libs/zlib:=
+"
+
+DEPEND="${RDEPEND}
+       doc? ( app-doc/doxygen[latex] )
+       dev-lang/swig:*
+"
+
+src_prepare() {
+       cmake-utils_src_prepare
+
+       sed -e '/ADD_SUBDIRECTORY (src\/tests)/d' -i CMakeLists.txt || die
+}
+
+src_configure() {
+       local mycmakeargs=(
+               $(cmake-utils_use_find_package doc Doxygen)
+               -DCMAKE_INSTALL_DOCDIR="share/doc/${PF}"
+       )
+
+       cmake-utils_src_configure
+}

Reply via email to